### Method

# Foundry GitCommitBuilder set_signing_format

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_signing_format (
      FoundryGitCommitBuilder* self,
      const char* signing_format
    )

#### Description [src]

Sets the signing format that will be used for signing the commit.

Common values are “gpg” for GPG signatures or “ssh” for SSH signatures. If set to `NULL`, defaults to “gpg”.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:signing-format`

#### Parameters

`signing_format`

  Type: `const char*`

  The signing format to use (e.g. “gpg” or “ssh”), or `NULL` for default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.